TEMPLATE	= app
CONFIG		= qt warn_on release
OBJECTS_DIR	= Linux
INCLUDEPATH	= almetare/base \
		  almetare/lib \
		  almetare/special \
		  almetare/special/simple \
		  almetare/special/casio_sci \
		  almetare/special/casio_sci/fx85v \
		  almetare/special/casio_sci/fx3600p \
		  almetare/special/ti_sci \
		  almetare/special/ti_sci/ti30
HEADERS		= almetare/base/about_dlg.h \
		  almetare/base/calc_dlg_base.h \
		  almetare/base/calc_sci.h \
		  almetare/base/calculator.h \
		  almetare/base/cfg_dlg.h \
		  almetare/base/cfgs.h \
		  almetare/base/number.h \
		  almetare/base/resource.h \
		  almetare/base/symbols.h \
		  almetare/lib/confg.h \
		  almetare/lib/fraction.h \
		  almetare/lib/logging.h \
		  almetare/lib/stack.h \
		  almetare/lib/util.h \
		  almetare/special/casio_sci/calc_casio_sci.h \
		  almetare/special/casio_sci/casio_sci_dat_dlg.h \
		  almetare/special/casio_sci/fx3600p/calc_fx3600p.h \
		  almetare/special/casio_sci/fx3600p/calc_type.h \
		  almetare/special/casio_sci/fx3600p/fx3600p_main_dlg.h \
		  almetare/special/casio_sci/fx3600p/fx3600p_prg_dlg.h \
		  almetare/special/casio_sci/fx3600p/fx3600p_symbols_dlg.h \
		  almetare/special/casio_sci/fx85v/calc_fx85v.h \
		  almetare/special/casio_sci/fx85v/calc_type.h \
		  almetare/special/casio_sci/fx85v/fx85v_main_dlg.h \
		  almetare/special/ti_sci/calc_ti_sci.h \
		  almetare/special/ti_sci/ti30/calc_ti30.h \
		  almetare/special/ti_sci/ti30/calc_type.h \
		  almetare/special/ti_sci/ti30/ti30_main_dlg.h
SOURCES		= almetare/base/about_dlg.cpp \
		  almetare/base/calc_dlg_base.cpp \
		  almetare/base/calc_sci.cpp \
		  almetare/base/calculator.cpp \
		  almetare/base/cfg_dlg.cpp \
		  almetare/base/cfgs.cpp \
		  almetare/base/main.cpp \
		  almetare/base/number.cpp \
		  almetare/base/symbols.cpp \
		  almetare/lib/confg.cpp \
		  almetare/lib/fraction.cpp \
		  almetare/lib/logging.cpp \
		  almetare/lib/stack.cpp \
		  almetare/lib/util.cpp \
		  almetare/special/casio_sci/calc_casio_sci.cpp \
		  almetare/special/casio_sci/casio_sci_dat_dlg.cpp \
		  almetare/special/casio_sci/fx3600p/calc_fx3600p.cpp \
		  almetare/special/casio_sci/fx3600p/fx3600p_main_dlg.cpp \
		  almetare/special/casio_sci/fx3600p/fx3600p_prg_dlg.cpp \
		  almetare/special/casio_sci/fx3600p/fx3600p_symbols_dlg.cpp \
		  almetare/special/casio_sci/fx85v/calc_fx85v.cpp \
		  almetare/special/casio_sci/fx85v/fx85v_main_dlg.cpp \
		  almetare/special/ti_sci/calc_ti_sci.cpp \
		  almetare/special/ti_sci/ti30/calc_ti30.cpp \
		  almetare/special/ti_sci/ti30/ti30_main_dlg.cpp
INTERFACES	= almetare/base/about_base_dlg.ui \
		  almetare/base/cfg_base_dlg.ui \
		  almetare/special/casio_sci/casio_sci_dat_base_dlg.ui \
		  almetare/special/casio_sci/fx3600p/fx3600p_main_base_dlg.ui \
		  almetare/special/casio_sci/fx3600p/fx3600p_prg_base_dlg.ui \
		  almetare/special/casio_sci/fx3600p/fx3600p_symbols_base_dlg.ui \
		  almetare/special/casio_sci/fx85v/fx85v_main_base_dlg.ui \
		  almetare/special/ti_sci/ti30/ti30_main_base_dlg.ui
