//******************************************************************************
// Copyright (c) 2002-2004 by Friedemann Seebass, Germany.
// Dieses Programm ist freie Software. Siehe GNU GPL Notiz in Datei main.cpp.
// This program is free software. See the GNU GPL notice in file main.cpp.
// Projekt: Almetare - Alle meine Taschenrechner
//******************************************************************************
/// \file about_dlg.h
///       Implementierung der About-Dialogbox (Modul base)
//******************************************************************************
// Wann       Wer      Was
// ---------- -------- ---------------------------------------------------------
// 16.11.2003 fse      neue Klassenvariable mApplIconPixmap
// 09.11.2002 fse      erzeugt
//******************************************************************************

#ifndef ABOUTDLG_H
#define ABOUTDLG_H

#include "about_base_dlg.h"

//******************************************************************************

/// Die Klasse enthaelt die Implementierung der eigenen Funktionalitaet der
/// About-Dialogbox. Sie ist abgeleitet von der Klasse AboutBaseDlg, die
/// mit Hilfe des Qt-Designers erzeugt wurde.
//  fse, 09.11.02
//  fse, 16.11.03: neue Klassenvariable mApplIconPixmap

class AboutDlg : public AboutBaseDlg
{
	Q_OBJECT
	QPixmap& mApplIconPixmap; ///< Pixmap mit dem Application-Icon (links oben im Dialog)

public:
	AboutDlg(char*       nameP,
	         QPixmap&    applIconPixmap,
	         char*       vrsP,
	         QWidget*    parent = 0,
	         const char* name = 0,
	         bool        modal = FALSE,
	         WFlags      fl = 0);
};

#endif // ABOUTDLG_H
