;--------------------------
; Gammafunktion g(x)
;--------------------------
; Bedienung:
; 1. Zur Initialisierung:
;    a) 1 Kin 2 druecken
;    b) P1 druecken
; 2. x eingeben
; 3. INV Min druecken
; 4. P1 druecken
;    => Ergebnis erscheint
; 5. zurueck zu 2. fuer
;    weitere Rechnungen
;-------------------------
; Beispiele:
; g(-.5) = -3.5449077
; g(1  ) = 1
; g(2.5) = 1.3293404
;-------------------------
; Formel entnommen d. Web-
; Site von Viktor T. Toth,
; www.rskey.org/gamma.htm,
; "The Numerical Recipes
; Solution"
;-------------------------

; Produkt ausrechnen:
1
kin@451 ; K1 dekrementieren
rcl     ; x aus M holen
+
kout@1  ; K1 addieren
=
kin@422 ; Ergebnis in K2 multiplizieren
kout@1  ; K1 ansehen
xgt0    ; wenn noch nicht 0, von vorne
kout@2  ; K2 (das Produkt) holen und
kin@4   ; nach K4 sichern
7       ; K1 mit 7
kin@1   ; initialisieren
1       ; K2 (das spaetere Produkt)
kin@2   ; mit 1 initialisieren

; Summe ausrechnen:
75122.6331530
+
80916.6278952
*
rcl
+
36308.2951477
*
rcl
pow
2
+
8687.24529705
*
rcl
pow
3
+
1168.92649479
*
rcl
pow
4
+
83.8676043424
*
rcl
pow
5
+
2.50662827511
*
rcl
pow
6
=

; Summe jetzt mit den restlichen
; Faktoren multiplizieren:
*
(
rcl
+
5.5
)
kin@3
pow
(
rcl
+
0.5
)
*
kout@3
sign
ex

; und durch das Produkt dividieren:
/
kout@4
=
